[devscripts] 01/01: debrepro: call diffoscope only once, on the .changes files

Antonio Terceiro terceiro at moszumanska.debian.org
Tue Nov 8 12:36:26 UTC 2016


This is an automated email from the git hooks/post-receive script.

terceiro pushed a commit to branch master
in repository devscripts.

commit 118f7c1a97e6f7f7f95989159eb8455d5466aa06
Author: Antonio Terceiro <terceiro at debian.org>
Date:   Tue Nov 8 10:32:00 2016 -0200

    debrepro: call diffoscope only once, on the .changes files
---
 debian/changelog    |  3 +++
 scripts/debrepro.sh | 15 ++++++---------
 2 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 68dae07..c61ebd7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -17,6 +17,9 @@ devscripts (2.16.9) UNRELEASED; urgency=medium
       on build paths") for an explanation on why it is not currently feasible
       to vary build paths for reproducible builds.
     + convert mapage to POD
+    + in case of non-matching binaries, call diffoscope only on the .changes
+      files instead of on the .deb files. This way we even get get diff in
+      .buildinfo between the builds.
 
   [ Guillem Jover ]
   * debrepro improvements (Closes: #841149):
diff --git a/scripts/debrepro.sh b/scripts/debrepro.sh
index 71bbcea..21e42a8 100755
--- a/scripts/debrepro.sh
+++ b/scripts/debrepro.sh
@@ -112,20 +112,17 @@ compare() {
     if binmatch "$first_deb" "$second_deb"; then
       echo "✓ $deb: binaries match"
     else
-      echo ""
+      echo "✗ $deb: binaries don't match"
       rc=1
-      if which diffoscope >/dev/null; then
-        diffoscope "$first_deb" "$second_deb" || true
-      else
-        echo "✗ $deb: binaries don't match"
-      fi
     fi
   done
   if [ "$rc" -ne 0 ]; then
-    echo "E: package is not reproducible."
-    if ! which diffoscope >/dev/null; then
-      echo "I: install diffoscope for a deeper comparison between binaries"
+    if which diffoscope >/dev/null; then
+      diffoscope "$tmpdir"/first/*.changes "$tmpdir"/second/*.changes || true
+    else
+      echo "I: install diffoscope for a deep comparison between artifacts"
     fi
+    echo "E: package is not reproducible."
   fi
   return "$rc"
 }

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/collab-maint/devscripts.git



More information about the devscripts-devel mailing list